import { Repository } from "typeorm";
import { Toppick } from "../../common/toppick/toppick.entity";
import { CreateTopPickDto, UpdateStatusDto, UpdateTopPickDto } from "./toppick.dto";
export declare class AdminTopPickService {
    private readonly topPickRepository;
    constructor(topPickRepository: Repository<Toppick>);
    create(CreateTopPickDto: CreateTopPickDto): Promise<Toppick>;
    findAll(): Promise<Toppick[]>;
    findOne(id: number): Promise<Toppick>;
    update(id: number, UpdateTopPickDto: UpdateTopPickDto): Promise<Toppick>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Toppick>;
}
